package io.zipcoder.polymorphism;
import org.junit.Assert;
import org.junit.Test;

public class DogTest {
    @Test
    public void testImplementation(){
        Dog dog = new Dog();

        Assert.assertTrue(dog instanceof Pet);;
    }

    @Test
    public void testSpeak(){
        Dog dog = new Dog();
        String expected = "Bark";

        String actual= dog.speak();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetName(){
        Dog dog = new Dog();
        String expected = "Jim";

        dog.setNameOfPet(expected);
        String actual = dog.getNameOfPet();

        Assert.assertEquals(expected, actual);

    }
}
