package io.zipcoder.polymorphism;

import org.junit.Assert;
import org.junit.Test;

public class TestCat {
    @Test
    public void testImplementation(){
        Cat cat= new Cat();

        Assert.assertTrue(cat instanceof Pet);
    }

    @Test
    public void testSpeak(){
        Cat cat= new Cat();
        String expected = "Meow";

        String actual= cat.speak();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetName(){
        Cat cat= new Cat();
        String expected = "Jim";

        cat.setNameOfPet(expected);

    }
}
