package io.zipcoder.polymorphism;

import org.junit.Assert;
import org.junit.Test;

public class TestLion {
    @Test
    public void testImplementation(){
        Lion lion = new Lion();

        Assert.assertTrue(lion instanceof Pet);;
    }

    @Test
    public void testSpeak(){
        Lion lion = new Lion();
        String expected = "RAWRRRRR";

        String actual= lion.speak();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetName(){
        Lion lion = new Lion();
        String expected = "Jim";

        lion.setNameOfPet(expected);
        String actual = lion.getNameOfPet();

        Assert.assertEquals(expected, actual);

    }
}
